createrepo_c library 1.2.1 C library for metadata manipulation

Data Fields
cr_MetadataLocation Struct Reference
Locate metadata API.

`#include <locate_metadata.h>`

## Data Fields
char * | pri_xml_href
char * | fil_xml_href
char * | fex_xml_href
char * | oth_xml_href
char * | pri_sqlite_href
char * | fil_sqlite_href
char * | fex_sqlite_href
char * | oth_sqlite_href
GSList * | additional_metadata
char * | repomd
char * | original_url
char * | local_path
int | tmp
cr_Repomd * | repomd_data

## Detailed Description

Structure representing metadata location.

Definition at line 37 of file locate_metadata.h.

## Field Documentation

## ◆ additional_metadata

GSList* additional_metadata

list of cr_Metadatum: paths to additional metadata such as updateinfo, modulemd, ..

Definition at line 46 of file locate_metadata.h.

## ◆ fex_sqlite_href

char* fex_sqlite_href

path to filelists-ext.sqlite

Definition at line 44 of file locate_metadata.h.

## ◆ fex_xml_href

char* fex_xml_href

path to filelists-ext.xml

Definition at line 40 of file locate_metadata.h.

## ◆ fil_sqlite_href

char* fil_sqlite_href

path to filelists.sqlite

Definition at line 43 of file locate_metadata.h.

## ◆ fil_xml_href

char* fil_xml_href

path to filelists.xml

Definition at line 39 of file locate_metadata.h.

## ◆ local_path

char* local_path

local path to repo

Definition at line 52 of file locate_metadata.h.

## ◆ original_url

char* original_url

original path of repo from commandline param

Definition at line 50 of file locate_metadata.h.

## ◆ oth_sqlite_href

char* oth_sqlite_href

path to other.sqlite

Definition at line 45 of file locate_metadata.h.

## ◆ oth_xml_href

char* oth_xml_href

path to other.xml

Definition at line 41 of file locate_metadata.h.

## ◆ pri_sqlite_href

char* pri_sqlite_href

path to primary.sqlite

Definition at line 42 of file locate_metadata.h.

## ◆ pri_xml_href

char* pri_xml_href

path to primary.xml

Definition at line 38 of file locate_metadata.h.

## ◆ repomd

char* repomd

path to repomd.xml

Definition at line 49 of file locate_metadata.h.

## ◆ repomd_data

cr_Repomd* repomd_data

parsed repomd

Definition at line 56 of file locate_metadata.h.

## ◆ tmp

int tmp

if true - metadata were downloaded and will be removed during cr_metadata_location_free

Definition at line 53 of file locate_metadata.h.

The documentation for this struct was generated from the following file:

- E:/rpmbuild/BUILD/createrepo_c-os2-1.2.1-os2/src/locate_metadata.h